Package com.ocient.jdbc

# Class XGConnection.RemoteEndpoint

java.lang.Object
com.ocient.jdbc.XGConnection.RemoteEndpoint

Enclosing class:
  XGConnection

public static class XGConnection.RemoteEndpoint extends Object
Represents an addressable endpoint for a network interface

## Constructor Summary

Constructors
Constructor
Description
`RemoteEndpoint(String host, List<String> translatedIPs, int port, int index)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`XGConnection.RemoteNode`
`getNode()`
`int`
`hashCode()`
`boolean`
`isExactMatch(String host, int port)`
`static XGConnection.RemoteEndpoint`
`resolve(String host, int port, int index)`
`boolean`
`resolvesTo(String ip, int port)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteEndpoint

public RemoteEndpoint(String host, List<String> translatedIPs, int port, int index)

## Method Details

### resolve

public static XGConnection.RemoteEndpoint resolve(String host, int port, int index) throws UnknownHostException

Throws:
  `UnknownHostException`

### getNode

public XGConnection.RemoteNode getNode()

### isExactMatch

public boolean isExactMatch(String host, int port)

### resolvesTo

public boolean resolvesTo(String ip, int port)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`